/* Hero Section */
.hero {
    position: relative;
    background-image: url(/assets/images/hiddentraveltreasures.webp);
    background-size: cover;
    background-position: center;
    height: 60vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero-content {
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%;
}

.hero-content h1 {
    font-size: 4.5rem;
    color: #FFFFFF;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
    font-family: 'VujahdayScript', 'Courier', 'serif';
}

.hero-content p {
    color: #000000;
    font-size: 1.5rem;
    margin-top: 10px;
}

/* Main Blog Post */
.main-blog-post {
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.main-blog-post h2 {
    font-size: 2.5rem;
    text-align: center;
    margin: 20px;
}

.main-blog-post p {
    font-size: 1.2rem;
    line-height: 1.6;
    margin-bottom: 20px;
}

.main-blog-post img {
    display: block;
    width: 60%;
    height: auto;
    margin: 40px auto 0 auto;
    border-radius: 10px;
    box-shadow: 0px 0px 15px #000000;
}

.travel-spot {
    display: flex;
    align-items: center;
    gap: 2rem;
    margin: 2rem;
    padding-bottom: 50px;
}

.travel-spot .spot-text,
.travel-spot .spot-images {
    flex: 1;
}

.travel-spot.reverse {
    flex-direction: row-reverse;
}

.spot-text h3 {
    font-size: 2rem;
    margin: 20px 0;
}

.spot-text h4 {
    font-size: 1.7rem;
    margin: 10px 0;
}

.spot-text p {
    font-size: 1.2rem;
    line-height: 1.4;
}

.spot-images {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    justify-items: center;
}

.spot-images img {
    width: 80%;
    height: auto;
    border-radius: 8px;
    object-fit: cover;
    box-shadow: 0px 0px 10px #000000;
}

/* Call to Action */
.call-to-action {
    background-color: rgba(204, 204, 255, 0.7);
    padding: 40px 20px;
    text-align: center;
    margin-top: 40px;
}

.call-to-action p {
    font-size: 1.2rem;
    margin-bottom: 20px;
    padding-bottom: 10px;
}

.cta-button {
    background-color: #FFDAE9;
    color: #000000;
    padding: 10px 20px;
    text-decoration: none;
    border: 1px solid #000000;
    border-radius: 5px;
    font-size: 1.2rem;
}

.cta-button:visited {
    color: #000000;
}

/* Responsive styling */
@media (max-width: 1024px) {
    .hero-content h1 {
    font-size: 3rem;
    }

    .hero-content p {
        font-size: 1.2rem;
    }

    .main-blog-post {
        padding: 20px 20px 0 20px;
    }

    .main-blog-post h2 {
        font-size: 1.8rem;
    }

    .main-blog-post p {
        font-size: 1rem;
        line-height: 1.5;
    }

    .main-blog-post img {
        width: 50%;
    }

    .spot-text h3 {
        font-size: 1.5rem;
    }

    .spot-text h4 {
        font-size: 1.3rem;
    }

    .spot-text p {
        font-size: 1rem;
    }

    .spot-images img {
        width: 90%;
    }

    .travel-spot {
        margin: 1.5rem;
        padding-bottom: 20px;
    }

    .call-to-action p {
        font-size: 1.1rem;
    }

    .cta-button {
        font-size: 1rem;
    }
}

@media (max-width: 768px) {
    .hero-content h1 {
        font-size: 2.5rem;
    }

    .main-blog-post h2 {
        font-size: 1.6rem;
    }

    .travel-spot,
    .travel-spot.reverse {
        flex-direction: column;
        text-align: center;
    }

    .spot-text h3 {
        margin: 10px 0;
    }

    .spot-text p {
        text-align: left;
    }

    .call-to-action {
        padding: 20px 20px 40px 20px;
        margin-top: 40px;
}

    .call-to-action p {
        font-size: 1rem;
    }

    .cta-button {
        padding: 8px 15px;
        font-size: 0.9rem;
    }
}

@media (max-width: 435px) {
    .hero-content h1 {
        font-size: 2rem;
    }

    .hero-content p {
        font-size: 1rem;
    }

    .main-blog-post {
        padding: 0;
    }

    .main-blog-post h2 {
        font-size: 1.6rem;
        margin: 20px 20px 10px 20px;
    }

    .main-blog-post p {
        padding: 10px 20px;
        font-size: 0.9rem;
        line-height: 1.4;
        margin-bottom: 0;
    }

    .main-blog-post img {
        width: 90%;
        margin: 20px auto 0 auto;
    }

    .travel-spot, .travel-spot.reverse {
        padding-bottom: 0;
    }

    .spot-text h3 {
        font-size: 1.4rem;
    }

    .spot-text h4 {
        font-size: 1.2rem;
    }

    .spot-text p {
        font-size: 0.9rem;
    }

    .spot-images img {
        width: 100%;
    }
}